org.apache.fop.afp.ptoca

## Interface PtocaProducer

All Known Implementing Classes:
  LineDataInfoProducer, TextDataInfoProducer

    public interface PtocaProducer

Producer interface that is passed to a `PresentationTextObject` to produce PTOCA control sequences using a `PtocaBuilder`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `produce(PtocaBuilder builder)` Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

### Method Detail

#### produce

    void produce(PtocaBuilder builder)
          throws IOException

Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

Parameters:
  `builder` - the builder object
Throws:
  `IOException` - if an I/O error occurs